Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/set_disabled_trading_products
import requests

url = "https://test.deribit.com/api/v2/private/set_disabled_trading_products"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://test.deribit.com/api/v2/private/set_disabled_trading_products', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1569,
  "result": "ok"
}

Query Parameters

user_id
integer
required

Id of a (sub)account

Example:

1

trading_products
enum<string>[]
required

List of available trading products. Available products: perpetual, futures, options, future_combos, option_combos, spots

Available options:
perpetual,
futures,
options,
future_combos,
option_combos,
spots

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
enum<string>
required

Result of method execution. ok in case of success

Available options:
ok
id
integer

The id that was sent in the request